* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
  border: none;
  outline: none;
  font-family: sans-serif;
  /* asi zmen font potom niekedy lebo ano. */
}

html {
  max-width: 100%;
  overflow-x: hidden;
}

body {
  background-color: black;
}

/* OBJEKTY */

.fotka1 {
  vertical-align: middle;
  position: relative;
  margin-top: 10rem;
  width: 15%;
  height: 50%;
  transition: 0.5s;
}

.ChocoboText {
  letter-spacing: 0.15rem;
  position: absolute;
  top: 2rem;
  left: 64px;
  font-size: 1.9rem;
  height: 3rem;
  transition: 0.5s;
  cursor: pointer;
}

.navmenu {
  font-size: 1.9rem;
  position: absolute;
  top: 2rem;
  right: 64px;
}

nav a {
  margin: 10px;
  transition: 0.3s ease;
  border-bottom: 3px solid transparent;
}

/* OBJEKTY */

/* HOVER VECI ATD */

.ChocoboText:hover {
  /* Prejdes myskou na text = zvacsi sa:) */
  transform: scale(1.1);
}

nav a:hover,
nav a.active {
  color: red;
  border-bottom: 3px solid red;
}

/* HOVER VECI ATD s*/

.menubox {
  height: 450px;
  width: 700px;
  position: absolute;
  top: 40%;
  left: 50%;
}

.menubox h1 {
  color: white;
  font-size: 3rem;
  margin: 1rem;
}

.menubox h2 {
  color: white;
  font-size: 2.5rem;
  margin: 1rem;
}

.text-changing {
  color: red;
  font-size: 2.5rem;
  position: absolute;
  width: auto;
  height: auto;
  top: 19.58%;
  margin-left: 6.8rem;
}

/*
.text span::before {
  content: "";
  color: #ff0000;
  animation: words 15s infinite;
}

.text span::after {
  content: "";
  background-color: black;
  position: absolute;
  width: calc(100% + 8px);
  height: 100%;
  border-left: 3px solid black;
  right: -8;
  animation: cursor 0.6s infinite;
}

@keyframes cursor {
  to {
    border-left: 3px solid #ff0000;
  }
}

@keyframes words {
  0%,
  35% {
    content: "Web Dev.";
  }
  36%,
  71% {
    content: "C# Dev.";
  }
  72%,
  96% {
    content: "Youtuber";
  }
  97%,
  100% {
    content: "Monster";
  }
}
*/
.main {
  min-height: 100vh;
}



.aboutme {
  min-height: 100vh;
  display: grid;
  background-color: #000000;
  position: relative;
}

.aboutme .flexboxes {
  justify-content: space-between;
  display: flex;
  flex-direction: row;
}

.aboutme .leftside {
  height: 500px;
  width: 500px;
  align-items: center;
  justify-content: center;
  position: relative;
  top: 20%;
  left: 10%;
}

.aboutme .rightside {
  height: 92vh;
  width: 48vw;
  align-items: center;
  justify-content: center;
  margin-left: 1rem;
  display: flex;
  position: relative;
  left: 7%;
}

.aboutme .rightside .textrightside {
  margin-top: -4rem;
}

.aboutme .rightside .textrightside h2 {
  font-size: 3rem;
  color: white;
  border-bottom: 3px solid red;
}

.aboutme .rightside .textrightside p {
  margin: 15px;
}

.aboutme .contactrightside {
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  top: 12%;
  right: 49%;
}

.aboutme .contactrightside a{
  margin: 10px;
  filter: brightness(0) saturate(100%) invert(66%) sepia(2%) saturate(0%) hue-rotate(134deg) brightness(92%) contrast(91%);
  transition: all .2s ease-out;
}

.aboutme .contactrightside a:hover {
  filter: brightness(0) saturate(100%) invert(100%) sepia(0%) saturate(7500%) hue-rotate(341deg) brightness(100%) contrast(103%);
}

#cube {
  z-index: 9999;
}

.projects {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  background-color: #000000;
  min-height: 113vh;
  transition: all 0.2s ease-out;
}

.project-text h1 {
  font-size: 4rem;
  text-align: center;
  width: 99vw;
  margin-bottom: 4rem;
}

.cards {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  margin-left: 2rem;
  margin-right: 2rem;
}

.section .hidden {
  display: grid;
}

.hidden {
  opacity: 0;
  filter: blur(5px);
  transform: translateX(20%);
  transition: all 1s;
}

.show {
  opacity: 1;
  filter: blur(0);
  transform: translateX(0);
}

.project-card:nth-child(2) {
  transition-delay: 100ms;
}

.project-card:nth-child(3) {
  transition-delay: 200ms;
}

.project-card:nth-child(4) {
  transition-delay: 250ms;
}

.project-card {
  border-radius: 20px;
  width: 300px;
  height: 400px;
  padding: 0.2rem;
  position: relative;
  transition: 0.7s;
  cursor: pointer;
}

@property --angle {
  syntax: "<angle>";
  initial-value: 0deg;
  inherits: false;
}

.project-card::before,
.project-card::after {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  background-image: conic-gradient(
    from var(--angle),
    red,
    green,
    blue,
    rgb(255, 0, 200),
    red
  );
  top: 50%;
  left: 50%;
  translate: -50% -50%;
  z-index: -1;
  border-radius: 20px;
  animation: 3s spin linear infinite;
}

.project-card::before {
  filter: blur(2.5rem);
  opacity: 0.5;
}

@keyframes spin {
  from {
    --angle: 0deg;
  }
  to {
    --angle: 360deg;
  }
}

/* TUNKIHO FIX - je to borec<3 */
.project-card-text {
  background-color: rgb(0, 0, 0);
  width: 100%;
  height: 100%;
  border-radius: 20px;
}

.project-card-text h1 {
  padding: 1rem;
  font-size: 1.5rem;
}

.project-card-text2 {
  background-color: rgb(0, 0, 0);
  width: 100%;
  height: 100%;
  border-radius: 20px;
}

.project-card-text2 h1 {
  padding: 1rem;
  font-size: 1.5rem;
}

.project-card-text3 {
  background-color: rgb(0, 0, 0);
  width: 100%;
  height: 100%;
  border-radius: 20px;
}

.project-card-text3 h1 {
  padding: 1rem;
  font-size: 1.5rem;
}

.project-card-text4 {
  background-color: rgb(0, 0, 0);
  width: 100%;
  height: 100%;
  border-radius: 20px;
}

.project-card-text4 h1 {
  padding: 1rem;
  font-size: 1.5rem;
}

.project-card-text5 {
  background-color: rgb(0, 0, 0);
  width: 100%;
  height: 100%;
  border-radius: 20px;
}

.project-card-text5 h1 {
  padding: 1rem;
  font-size: 1.5rem;
}

.project-card-text6 {
  background-color: rgb(0, 0, 0);
  width: 100%;
  height: 100%;
  border-radius: 20px;
}

.project-card-text6 h1 {
  padding: 1rem;
  font-size: 1.5rem;
}

.project-card-text7 {
  background-color: rgb(0, 0, 0);
  width: 100%;
  height: 100%;
  border-radius: 20px;
}

.project-card-text7 h1 {
  padding: 1rem;
  font-size: 1.5rem;
}

.project-card-text8 {
  background-color: rgb(0, 0, 0);
  width: 100%;
  height: 100%;
  border-radius: 20px;
}

.project-card-text8 h1 {
  padding: 1rem;
  font-size: 1.5rem;
}

.project-card:hover {
  /* Prejdes myskou na text = zvacsi sa:) */
  transform: scale(1.1);
}

.more-cards {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  margin-top: 5rem;
  margin-left: 2rem;
  margin-right: 2rem;
}

.knowledge {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  height: 100vh;
  transition: all 0.27s ease-out;
}

.left-side-box {
  margin: 2.2rem;
  height: 92vh;
  width: 48vw;
  padding: 1rem;
}

.right-side-box {
  margin-top: 2.18rem;
  height: 92vh;
  width: 46vw;
  display: flex;
  justify-content: center;
  align-items: center;
}

.right-side-box .right-side-text h2 {
  font-size: 3rem;
  color: white;
  border-bottom: 3px solid red;
}

.flex-boxes-knowledge {
  height: 92vh;
  display: grid;
  transition: all .27s ease-out;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  padding: 1rem;
}

.flex-boxes-knowledge a img {
  filter: brightness(0) saturate(100%) invert(66%) sepia(2%) saturate(0%) hue-rotate(134deg) brightness(92%) contrast(91%);
  height: 12em;
  transition: all .27s ease-out;
  margin: 1em .2em
}

.flex-boxes-knowledge a:hover {
  filter: brightness(0) saturate(100%) invert(100%) sepia(0%) saturate(7500%) hue-rotate(341deg) brightness(100%) contrast(103%);
  transform: scale(1.1);
}

/*.flex-boxes-knowledge a p:hover {
  border-bottom: 3px solid red;
}*/

.flex-boxes-knowledge a {
  display: grid;
  grid-template-columns: 6em 1fr;
  align-items: center;
  transition: all .27s ease-out;
  margin: 0rem 2rem 2rem; 
}

.flex-boxes-knowledge a p {
  font-size: 3em;
  justify-self: center;
  filter: brightness(0) saturate(100%) invert(66%) sepia(2%) saturate(0%) hue-rotate(134deg) brightness(92%) contrast(91%);
  margin-left: 3rem;
}















/* OPTIMALIZACIA PRE MOBILY . strasna picovina vymazte to niekto nech to neexistuje */

/* TUNKIHO KOMENTAR
ten kokot dal media doprostred a divi se ze mu to nefungujeXDdDdDd */

/* CHCOBA KOMENTAR
TAK SORRY JAKO ALE PRE MNA MEDIA BOLI A SU U PRDELE! */

@media screen and (max-width: 800px) {
  /* Ak je max dlzka 480px tak ano.*/

  html, body {
    overflow-x: hidden;
  }

  body {
    position: relative
  }

  .ChocoboText {
    display: flex;
    text-align: left;
    position: absolute;
    left: 50%;
    transform: translate(-50%, -20%);
  }

  .fotka1 {
    position: relative;
    width: 90%;
    left: 5.5%;
    margin-top: 6rem;
    margin-left: auto;
    margin-right: auto;
  }

  .navmenu {
    visibility: hidden;
  }

  .menubox {
    position: relative;
    max-width: 100%;
    margin-top: 7rem;
    transform: translate(-50%);
    margin-left: 1.5rem;
  }

  .text-changing {
    margin-top: -1rem;
  }

  .projects {
    display: block;
  }

  .cards {
    position: relative;
    display: flex;
    flex-direction: column;
    margin-left: 30.5%;
    transform: translate(-25%);
  }

  .project-card {
    position: relative;
    margin-bottom: 3rem;
    display: block;
  }

  .more-cards {
    position: relative;
    display: flex;
    flex-direction: column;
    margin-left: 30.5%;
    transform: translate(-25%);
  }

  .project-text h1 {
    position: relative;
    left: 8px;
  }

  .text-changing {
    top: 31.79%;
  }

  .knowledge{
    position: relative;
    max-height: 69vh;
    min-height: 69vh;
    width: 100%;
    margin-top: 5rem;
  }

  .knowledge .right-side-text {
    display: block;
    position: relative;
    text-align: center;
  }

  .knowledge .right-side-text h2 {
    position: relative;
    margin-top: 5rem;
    margin-left: 13.5rem;
  }

  .knowledge .right-side-text p {
    position: relative;
    margin-left: 13.5rem;
  }

   .right-side-text .p2 {
    position: relative;
    top: 115%;
  }

  .knowledge .right-side-box {
    position: absolute;
    margin-top: -25rem;
  }

  .left-side-box {
    position: absolute;
    top: -10%;
    right: 14.9rem;
    scale: 40%;
  }

  .aboutme {
    display: flex;
    justify-content: center;
  }

  .aboutme .leftside {
    display: flex;
    scale: .7;
    position: relative;
    top: 30%;
    left: 15.8%;
  }

  .aboutme .rightside {
    display: flex;
    position: relative;
    width: 50vw;
    top: -35%;
    left: -7.3%;
    align-items: center;
  }

  .aboutme .rightside .contactrightside {
    display: flex;
    position: relative;
    top: 17%;
    scale: .8;
    right: 166.5%;
  }
}
 
@media (min-width: 1000px) {
  /* Ak je minimalna dlzka 1000px tak ano.*/
  .fotka1 {
    left: 10%;
    width: 30%;
  }

  .navmenu {
    visibility: visible;
  }
}

/* OPTIMALIZACIA PRE MOBILY */
